
// 0. 引入使用到的leaflet类
import { Marker, GeoJSON } from '../lib/leaflet/leaflet-src.esm.js';
import { MyMap } from '../common/myMap.js';
import dataCommon from '../common/data.js'

class MapX extends MyMap {

  run() {
    
    // 7. 根据YPE设置不同的图标；marker绑定提示信息：bindTooltip
    const glayer = new GeoJSON(dataCommon.geoHospitalSchool, {
      pointToLayer: (geoJsonPoint, latlng) => {
        switch (geoJsonPoint.properties['TYPE']) {
          case '医院':
            return new Marker(latlng, {
              // icon指定为 医院 的图标
              icon: this.iconHospital
            }).bindTooltip(geoJsonPoint.properties['NAME'], { permanent: true });
          case '学校':
            return new Marker(latlng, {
              // icon指定为 学校 的图标
              icon: this.iconSchool
            }).bindTooltip(geoJsonPoint.properties['NAME'], { permanent: false });
        }
      }
    });
    
    glayer.addTo(this.map);

  }
}

let map = new MapX()
map.run()
